<?php

session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
mb_internal_encoding("UTF-8");

if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }

 /*---Для выделения меню---*/
$url_page = $_SERVER['REQUEST_URI'];
$bg = 'class="mmmenu"';
$bg1 = 'class="mmenu"';
?>
  <?
 if ( !isset( $_SESSION['id'] ) or $config_user['account'] != 5 ) {
 echo '';
 } else {
    ?>
  <div class="big_topics bor_top round3 FFF hr">
      <div class="main_top hr_menu padd5">
    <a <? if ( strpos( $url_page, 'admhome' ) ) echo $bg; else echo $bg1; ?> href="/admhome">Мод.Товаров</a>
    <a <? if ( strpos( $url_page, 'userpay' ) ) echo $bg; else echo $bg1; ?> href="/userpay">Выплаты</a>
    <a <? if ( strpos( $url_page, 'userlist' ) ) echo $bg; else echo $bg1; ?> href="/userlist">Пользователи</a>
    <a <? if ( strpos( $url_page, 'alltovar' ) ) echo $bg; else echo $bg1; ?> href="/alltovar">Все товары</a>
     <a <? if ( strpos( $url_page, 'set_con' ) ) echo $bg; else echo $bg1; ?> href="/set_con">Платежки</a>
<a <? if ( strpos( $url_page, 'all_con' ) ) echo $bg; else echo $bg1; ?> href="/all_con">Др. настройки</a>
	 </div>
       
       <div class="wrap_user_r">
       <div class="menu_title">Список всех товаров:</div>
        <div class="padd5"></div>
        <style>

#main{
  overflow:hidden;
  top:expression(document.getElementsByTagName('body')[0].scrollTop+'px');
  width:740px;
  height: 900px;
}

#content{
  width:740px;
  height:900px;
  overflow: auto;
}

#wscroll{
  position:absolute;
  width:1px;
  top:0;
  left:0;
}

</style>
        <script type="text/javascript">

function stop(e) {
    $.post('/admin/ajax.php?func=dynlinkstop', {
        id: e
    }, function(data) {
        if (data == 1) {
            setTimeout(function(){location.assign('alltovar')} , 5000);
            $('body').Qnotify({text:'Площадка остановлена!', sound:'error'});
        }
    });
    return false;
}

function start(e) {
    $.post('/admin/ajax.php?func=dynlinkstart', {
        id: e
    }, function(data) {
        if (data == 1) {
            setTimeout(function(){location.assign('alltovar')} , 5000);
            $('body').Qnotify({text:'Площадка запущена!', sound:'error'});
        }
    });
    return false;
}

function star(e) {
    $.post('/admin/ajax.php?func=vkstart', {
        id: e
    }, function(data) {
        if (data == 1) {
            setTimeout(function(){location.assign('alltovar')} , 5000);
            $('body').Qnotify({text:'Пост отправлен в ВК!', sound:'error'});
        }
    });
    return false;
}


function del(e) {
    $.post('/admin/ajax.php?func=dynlinkdel', {
        id: e
    }, function(data) {
        if (data == 1) {
            setTimeout(function(){location.assign('alltovar')} , 2000);
            $('body').Qnotify({text:'Товар удален!', sound:'error'});
        }
    });
    return false;
}



var el_id='content';

//Возвращает: координаты x/y, ширину, высоту элемента
var el_xy=abs_pos(el_id);

//коорд. Y + высота элемент #content
var el_yh=(el_xy['y']+el_xy['h']);

//Высота #content с учетом прокрутки
var el_sh=get_scroll_height(el_id);

//Ширина и высота окна (видимая область сайта)
var cw=get_client_width();
var ch=get_client_height();

/* Центрируем элемент #main */
var xy=abs_pos('main');
if(cw>xy['w']) set_style('main', 'marginLeft', ((cw-xy['w'])/2));
if(ch>xy['h']) set_style('main', 'marginTop', ((ch-xy['h'])/2));

/*
Условия:
  1) Прокручиваемый элемент должен быть полностью виден в окне браузера.
  2) Наличие скрытого текста для прокрутки.
*/

if(ch>=el_yh && el_sh>el_xy['h']){
//Закрепляем фон страницы
  set_style(get_doc_body(), 'backgroundAttachment', 'fixed');

//Высота окна + высота скрытой части текста
  var el_ys=ch+(el_sh-el_xy['h']);

//Задаем длину линии #wscroll для ее прокрутки
  set_style('wscroll', 'height', el_ys);

//Скрываем элементы прокрутки #content
  set_style(el_id, 'overflow', 'hidden');

//Фиксируем элемент #main
  set_style('main', 'position', 'fixed');

//Если неподдерживается fixed, то задаем обратно absolute (на всякий случай).
  if(get_style('main', 'position')!='fixed')
    set_style('main', 'position', 'absolute');

/*
Функция-обработчик события OnScroll окна браузера,
ассоциируем с прокруткой элемента #content.
*/
  var func=function(){
//get_scroll_top(элемент) - возвращает значение прокрутки.
//Для кроссбраузерности: (document.documentElement || document.body), (0 || 1)=1
    set_scroll_top(el_id, (get_scroll_top(document.documentElement) || get_scroll_top(document.body)));
  }

  if(typeof(document.onscroll)!=='undefined') document.onscroll=func;
  else window.onscroll=func;

}else set_style('main', 'top', 0);
</script>
 <div id="wscroll"></div>

<div id="main">
  <div id="content">
    <?


    $sql = $pdo->Query("SELECT * FROM `php_tovar` ORDER BY `id` DESC");
    while($show_dynlink_row = $sql->Fetch())
    {
        $con_ld = $pdo->Query("SELECT * from php_upload WHERE tovar = '" . $show_dynlink_row['id'] . "'")->fetch(PDO::FETCH_BOTH);
        $param_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $show_dynlink_row['user'] . "'")->fetch(PDO::FETCH_BOTH);
        ?>
         <div id="id<?=$show_dynlink_row['id']?>" class="wrap_ref" style="height: 40px;" >
		<div class="ref_avatar" style="margin-left: 10px; ">
			<?
			if($show_dynlink_row['moder'] == 1) {
			?>
			<a style="right: 20px;" id="dstop<?=$show_dynlink_row['id']?>"  onmouseover="titlehtml.title('<?=$show_dynlink_row['id']?>', 'Остановить', 'dstop')" onclick="stop(<?=$show_dynlink_row['id']?>);return false;" href="#">
				<img class="rek_ava" style="margin-top: -4px; margin-left: -5px;" width="20" height="20" alt="" src="/admin/img/rek_pause.png" />
			</a>
			<? } else {   ?>
			<a style="right: 20px;" id="dstart<?=$show_dynlink_row['id']?>"  onmouseover="titlehtml.title('<?=$show_dynlink_row['id']?>', 'Запустить', 'dstart')" onclick="start(<?=$show_dynlink_row['id']?>);return false;" href="#">
				<img class="rek_ava" style="margin-top: -4px; margin-left: -5px;" width="20" height="20" alt="" src="/admin/img/rek_play.png" />
			</a>
			<?
			}
			?>
			<?
			if($show_dynlink_row['vk'] == 1) {
			?>
				<img class="rek_ava" style="margin-top: 4px; margin-left: -5px;" width="20" height="20" alt="" src="/admin/img/vk.png" />
			<? } else {   ?>
			<a style="right: 20px;" id="vkstart<?=$show_dynlink_row['id']?>"  onmouseover="titlehtml.title('<?=$show_dynlink_row['id']?>', 'Отправить пост в ВКОНТАКТЕ', 'vkstart')" onclick="star(<?=$show_dynlink_row['id']?>);return false;" href="#">
				<img class="rek_ava" style="margin-top: 4px; margin-left: -5px;" width="20" height="20" alt="" src="/admin/img/vk_no.png" />
			</a>
			<?
			}
			?>
			<div class="ref_info" style="width: 400px; top: 2px; left: 40px; font-size: 11px;">
                ID: <b><?=$show_dynlink_row['id']?></b> &nbsp; Продавец: <b><?=$param_user['login']?></b> ID: <b><?=$show_dynlink_row['user']?></b>  Продан: <b><?=$show_dynlink_row['buy']?></b> <?=getWord( $show_dynlink_row['buy'], array( 'раз', 'раза', 'раз' ) )?><br>
                Заголовок: <b><?=mb_substr( $show_dynlink_row['title'], 0, 40 )?>...</b><br>
                Описание: <b><?=mb_substr( $show_dynlink_row['cratkaya'], 0, 40 )?>...</b>
            </div>

        </div>

        <div style="position: absolute; right: 5px; bottom: 17px;">
			<div style="text-align: right; margin-top: 5px; margin-bottom: -7px; border-bottom: 2px solid #597DA3; color: #597DA3; margin-right: 80px;">стоимость</div>
			<div style="text-align: right; margin-top: 6px; font-size: 14px; margin-bottom: -3px;  color: #597DA3; margin-right: 80px;"><b><?=$show_dynlink_row['cena']?></b></div>
            <a id="uedit<?=$show_dynlink_row['id']?>" class="medit" onmouseover="titlehtml.title('<?=$show_dynlink_row['id']?>', 'Редактировать', 'uedit')" href="/alltovar&edit=<?=$show_dynlink_row['id']?>"></a>
            <a style="right: 20px;" id="udel<?=$show_dynlink_row['id']?>" class="mdel" onmouseover="titlehtml.title('<?=$show_dynlink_row['id']?>', 'Удалить', 'udel')" onclick="del(<?=$show_dynlink_row['id']?>);return false;" href="#"></a>
        </div>
        <a href="<?=ROOT?>/load/<?=$con_ld['hash']?>"><div style="text-align: right; margin-top: -14px; font-size: 10px; color: #597DA3; margin-right: 80px;">скачать</div></a>
    </div>
        <?
    }
    ?>

       </div>
</div>
       </div>

 </div>

<?}}?>